classification
Title: test_pickle: "Fatal Python error: Cannot recover from stack overflow." on FreeBSD buildbot
Type: Stage:
Components: Tests, Windows Versions: Python 3.5
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: pitrou, serhiy.storchaka, steve.dower, tim.golden, vstinner, zach.ware
Priority: normal Keywords: buildbot

Created on 2014-12-01 10:46 by vstinner, last changed 2015-03-18 10:53 by vstinner. This issue is now closed.

Messages (4)
msg231925 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2014-12-01 10:46
http://buildbot.python.org/all/builders/AMD64%20FreeBSD%209.x%203.x/builds/2434/steps/test/logs/stdio

...
[127/390] test_trace
[128/390] test_imghdr
[129/390] test_queue
[130/390] test_thread
Fatal Python error: Cannot recover from stack overflow.

Current thread 0x0000000801407400 (most recent call first):
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/pickletester.py", line 1882 in __getattr__
  ...

[131/390] test_pickle

Traceback (most recent call last):
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/runpy.py", line 170, in _run_module_as_main
    "__main__", mod_spec)
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/runpy.py", line 85, in _run_code
    exec(code, run_globals)
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/__main__.py", line 3, in <module>
    regrtest.main_in_temp_cwd()
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/regrtest.py", line 1564, in main_in_temp_cwd
    main()
  File "/usr/home/buildbot/python/3.x.koobs-freebsd9/build/Lib/test/regrtest.py", line 738, in main
    raise Exception("Child error on {}: {}".format(test, result[1]))
Exception: Child error on test_pickle: Exit code -6
*** [buildbottest] Error code 1
msg231926 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2014-12-01 10:46
Can it be related to the issue #22676?
msg231978 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-12-02 07:47
This failure is sporadic. After failing build 2434 there was four successful builds. May be other tests affect this.
msg238407 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2015-03-18 10:53
I didn't see this failure recently, so I just close the issue.
History
Date User Action Args
2015-03-18 10:53:04vstinnersetstatus: open -> closed
resolution: out of date
messages: + msg238407
2014-12-02 21:20:50vstinnersetnosy: + tim.golden, zach.ware, steve.dower
components: + Windows
2014-12-02 07:47:20serhiy.storchakasetmessages: + msg231978
2014-12-01 10:46:52vstinnersetnosy: + pitrou, serhiy.storchaka
messages: + msg231926
2014-12-01 10:46:15vstinnercreate